﻿using Eplan.EplApi.DataModel;
using Eplan.EplApi.EServices;

namespace $safeprojectname$
{
	public class LocationDescriptionIsEmptyVerification : Verification
	{
		private const int MESSAGEID = 1;
		private bool _verificationDone; // needed if you manually foreach objects

		public override void Execute(StorableObject oObject1)
		{
			if (!_verificationDone)
			{
				if (this.VerificationState == IVerificationBase.VerificationState.OfflineOnlyState)
				{
					
					_verificationDone = true; // needed because it loops over all objects: Execute()
				}
			}
		}

		public override void OnEndInspection()
		{
			_verificationDone = false;
		}

		public override void OnStartInspection(bool bOnline) { }

		public override void OnRegister(ref string strName, ref int iOrdinal)
		{
			strName = "SuplanusVerification";
			iOrdinal = 30;
			this.VerificationPermission = IVerificationBase.Permission.OfflineOnlyPermitted;
			this.VerificationState = IVerificationBase.VerificationState.OfflineOnlyState;
		}

		public override string GetMessageText()
		{
			return "Text";
		}

		public override void DoHelp()
		{
			
		}

		public override void OnRegister(ref string strCreator, ref IMessage.Region eRegion, ref int iMessageId, ref IMessage.Classification eClassification, ref int iOrdinal)
		{
			strCreator = "Suplanus";
			eRegion = IMessage.Region.Externals;
			iMessageId = MESSAGEID;
			eClassification = IMessage.Classification.Error;
			iOrdinal = 20;
		}
	}
}
